List merchants - WalletConnect Pay Docs

List merchants

cURL

curl --request GET \
  --url 'https://api.pay.walletconnect.com/v1/merchants?limit=20' \
  --header 'Api-Key: <api-key>'

Python

import requests

url = "https://api.pay.walletconnect.com/v1/merchants?limit=20"

headers = {"Api-Key": "<api-key>"}

response = requests.get(url, headers=headers)

print(response.text)

JavaScript (Fetch)

const options = {method: 'GET', headers: {'Api-Key': '<api-key>'}};

fetch('https://api.pay.walletconnect.com/v1/merchants?limit=20', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));

PHP




Response Example

{
  "merchants": [
    {
      "id": "mrch_7kBz2qR9xPvLmN4Yw",
      "name": "Acme Store",
      "email": "billing@acme.store",
      "status": "active",
      "iconUrl": "https://imagedelivery.net/example/acme-icon.png",
      "createdAt": "2025-06-15T10:30:00.000Z"
    },
    {
      "id": "mrch_Qx8fTp3YwKjR5vNm2",
      "name": "Widget Co",
      "email": null,
      "status": "active",
      "iconUrl": null,
      "createdAt": "2025-07-01T08:00:00.000Z"
    }
  ],
  "totalCount": 2,
  "nextCursor": null
}

Authorizations

Query Parameters

Response